Subject: Re: [PATCH net-next v3 0/5] bnxt_en: Add XDP RSS hash metadata support

From: Chris Arges <[email-masked]>
Date: Mon, 9 Mar 2026 21:06:34 -0500

On 2026-03-09 17:51:38, Joe Damato wrote:
> On Fri, Mar 06, 2026 at 05:00:15PM -0600, Chris J Arges wrote:
> > This series adds XDP RSS hash metadata extraction support for the bnxt_en
> > driver and includes selftests to validate the functionality. I was able
> > to test this on a BCM57414 NIC.
> > 
> > Note: I don't have hardware to test v3 completions at the moment.
> > 
> > Patches 1-3 implement the driver support:
> >   - Patch 1 adds bnxt_xdp_buff to wrap xdp_buff with
> >     pointers to the hardware RX completion descriptors and the
> >     completion type. This is similar to other driver implementations.
> >   - Patch 2 adds the xmo_rx_hash callback for CMP_TYPE_RX_L2_CMP completions.
> >   - Patch 3 adds handling for CMP_TYPE_RX_L2_V3_CMP completions
> > 
> > Patches 4-5 add selftest coverage:
> >   - Patch 4 refactors common BPF map helper functions out of the
> >     existing xdp.py selftest into a shared net/lib/py/bpf.py module.
> >   - Patch 5 adds an XDP metadata selftest that loads an XDP program
> >     calling bpf_xdp_metadata_rx_hash. The test skips on devices without
> >     xdp-rx-metadata-features.
> > 
> > v2: https://lore.kernel.org/netdev/[email-masked]/
> >   - bnxt xdp: actually fixed RCT issues
> >   - bnxt xdp: Added patch 3 to handle CMP_TYPE_RX_L2_V3_CMP completions.
> > 
> > v1: https://lore.kernel.org/netdev/[email-masked]/
> >   - selftests: moved tests into net/hw
> >   - selftests: fix pylinter errors
> >   - selftests: add check for no error count
> >   - bnxt_xdp: followed RCT for variable declaration
> >   - rebased on net-next
> 
> I think I commented this on the v2 [1], but it would be super helpful to put
> the summary of changes in each patch itself to make it easier for reviewers.
> 
> I think you dropped my Reviewed-by's, so I'm not sure which patches changed
> and which didn't :(
> 
> [1]: https://lore.kernel.org/netdev/[email-masked]/

Thanks for the reviews and feedback, I'm learning. So when re-submitting, I'll
be sure to keep your reviewed by if nothing has changed. In addition I'll make
sure I put the changelog in each patch rather than just the cover letter.

--chris